[Q] Android Update on Samsung Galaxy S Wifi 4.0 (YP-G1)

Hi,

I just bought one Samsung Galaxy S wifi 4.0 and would like to know if anyone is aware of the possibility to upgrade the "default" Android version 2.2.2 (Froyo) to a newer one.

It seems that a couple of applications out there do not run on this version. For example NDrive 11 says its incompatible with this and a HTC running 2.3.4 is compatible. Maybe the version or something else?

I already ran Kies and it says the version 2.2.2 is the latest.

Thanks for all the help you can give me.

Regards.

Show Accepted Answer

Guest Quick Reply (No URL, BBcode or HTML)

Last post by ferry.oral
1 hour ago
Last post by tkoss
4 hours ago
Last post by hank.kling
2 hours ago
Last post by morton39
4 hours ago
Last post by agoldner
11 minutes ago
Last post by schaden.janice
3 hours ago
Last post by sonia.ohara
56 minutes ago